<?php

class busqper_faltas extends database {

/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE PROFESORES
		 OUTPUT:
		 $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
	 */


        //----------------------------------
  function total_regper($periodo,$fecha,$grado,$curso,$asign,$codigo)
	{
	   //conexion a la base de datos
	   $this->conectar();
           

    if ($codigo!='')
        $r0="='".$codigo."'";
    else
        $r0=" like '%' ";
    //********************
    
    if ($fecha!='')
        $r1="='".$fecha."'";
    else
        $r1=" like '%' ";
    //********************
    
    if ($grado!='')
        $r2="='".$grado."'";
    else
        $r2=" like '%' ";
    //********************
 
     if ($curso!='')
        $r5="='".$curso."'";
    else
        $r5=" like '%' ";
    //********************
  
    if ($periodo!='')
        $r3="='".$periodo."'";
    else
        $r3=" like '%' ";
    //********************

    if ($asign!='')
        $r4="='".$asign."'";
    else
        $r4=" like '%' ";
       
    if (!isset($_SESSION)) { session_start(); }
     
    $con="SELECT reporte_faltas.periodo, reporte_faltas.fecha, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, 
          reporte_faltas.asignatura, reporte_faltas.codigo, CONCAT(alumnos.p_apellido,' ',alumnos.s_apellido,' ',alumnos.p_nombre,' ',alumnos.s_nombre) AS nombres, reporte_faltas.falta, reporte_faltas.descripcion, 
          reporte_faltas.descuento,reporte_faltas.estilo,reporte_faltas.orden FROM alumnos INNER JOIN (curso_asignatura_profesor INNER JOIN (matriculas INNER JOIN 
          reporte_faltas ON matriculas.codigo = reporte_faltas.codigo) ON (curso_asignatura_profesor.asignatura = reporte_faltas.asignatura) 
          AND (curso_asignatura_profesor.curso = matriculas.curso) AND (curso_asignatura_profesor.grado = matriculas.grado)) ON alumnos.codigo = matriculas.codigo
          WHERE reporte_faltas.codigo ".$r0." and reporte_faltas.fecha ".$r1." and curso_asignatura_profesor.grado ".$r2." and curso_asignatura_profesor.curso ".$r5." and reporte_faltas.periodo ".$r3." and reporte_faltas.asignatura ".$r4." and curso_asignatura_profesor.profesor='".$_SESSION['profesor']."'";
   
    $query = $this->consulta($con);

    return ($this->numero_de_filas($query));
           $this->disconnect();

	}

        //---------------------------------

	function busper_cfaltas($inicio,$periodo,$fecha,$grado,$curso,$asign,$codigo)
	{
		//conexion a la base de datos
		$this->conectar();

    if ($codigo!='')
        $r0="='".$codigo."'";
    else
        $r0=" like '%' ";
    //********************
    
    if ($fecha!='')
        $r1="='".$fecha."'";
    else
        $r1=" like '%' ";
    //********************
    
    if ($grado!='')
        $r2="='".$grado."'";
    else
        $r2=" like '%' ";
    //********************
 
     if ($curso!='')
        $r5="='".$curso."'";
    else
        $r5=" like '%' ";
    //********************
  
    if ($periodo!='')
        $r3="='".$periodo."'";
    else
        $r3=" like '%' ";
    //********************

    if ($asign!='')
        $r4="='".$asign."'";
    else
        $r4=" like '%' ";
        
    if (!isset($_SESSION)) { session_start(); }
     
    $con="SELECT reporte_faltas.periodo, reporte_faltas.fecha, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, 
          reporte_faltas.asignatura, reporte_faltas.codigo, CONCAT(alumnos.p_apellido,' ',alumnos.s_apellido,' ',alumnos.p_nombre,' ',alumnos.s_nombre) AS nombres, reporte_faltas.falta, reporte_faltas.descripcion, 
          reporte_faltas.descuento,reporte_faltas.estilo,reporte_faltas.orden FROM alumnos INNER JOIN (curso_asignatura_profesor INNER JOIN (matriculas INNER JOIN 
          reporte_faltas ON matriculas.codigo = reporte_faltas.codigo) ON (curso_asignatura_profesor.asignatura = reporte_faltas.asignatura) 
          AND (curso_asignatura_profesor.curso = matriculas.curso) AND (curso_asignatura_profesor.grado = matriculas.grado)) ON alumnos.codigo = matriculas.codigo
          WHERE reporte_faltas.codigo ".$r0." and reporte_faltas.fecha ".$r1." and curso_asignatura_profesor.grado ".$r2." and curso_asignatura_profesor.curso ".$r5." and reporte_faltas.periodo ".$r3." and reporte_faltas.asignatura ".$r4." and curso_asignatura_profesor.profesor='".$_SESSION['profesor']."' limit ".$inicio.",15";
     
     $query = $this->consulta($con);
  
    $this->disconnect();
		if($this->numero_de_filas($query) > 0) // existe -> datos correctos
		{
			//se llenan los datos en un array
			while ( $tsArray = $this->fetch_assoc($query) )
				$data[] = $tsArray;

			return $data;
		}
    else{

        return '';
		}
	}

}

?>
